import Foundation

public extension Api {
    func getFeeRateGovernor(onComplete: @escaping (Result<Fee, Error>) -> Void) {
        router.request { (result: Result<Rpc<Fee?>, Error>) in
            switch result {
            case .success(let rpc):
                guard let value = rpc.value else {
                    onComplete(.failure(SolanaError.nullValue))
                    return
                }
                onComplete(.success(value))
            case .failure(let error):
                onComplete(.failure(error))
            }
        }
    }
}
